致青春,致梦想,一片自留地

Menu

升级阿里云轻量应用服务器的WordPress

前言

去年给一位长辈推荐了使用阿里云搭建WordPress, 今天告诉我,现在每次登陆网站后台都提示要升级,但是每次点击升级之后,又没有办法完成升级。

现在如果不翻墙,那么连访问WordPress的官网也都只显示429 Too Many Requests了。阿里云的国内服务器显然都在墙里面,所以自然WordPress的升级也就没有办法完成了。

本文同样适用于解决使用国内服务器架设的WordPress升级问题。

解决办法

第一步:翻墙

不管你是用HoxxV2ray,或者其他翻墙的方法,先翻出墙去。

第二步:下载插件

翻墙后,打开https://wordpress.org/plugins/kill-429/,点击download,会得到一个zip文件

备注1:如果是用V2ray进行翻墙的,记得把模式修改为全局模式,PAC模式还是只能显示429。

备注2:也可以到官网下载https://www.wbolt.com/plugins/kill-429,但是似乎要注册,我感觉比翻墙更麻烦一些。

第三步:安装插件

打开WordPress的后台,在菜单中依次点击:插件-->安装插件-->上传插件,然后把刚下载好的那个Zip文件上传,完成后把插件激活即可。

第四步:设置

好像会默认选用美国服务器节点,但是插件又推荐使用日本节点,好吧那就设置好使用日本服务器后,保存设置

然后不出意外,你的WordPress就能正常的升级了,不管是WordPress本体还是各个插件。

重要教训:不要学我手贱脑残,点了升级,结果嫌慢,又去点修改服务器节点,造成WordPress崩了,只好乖乖的重新上传WordPress。

— 于 共写了683个字
— 文内使用到的标签:

发表评论

您的电子邮箱地址不会被公开。 必填项已用*标注